# Enable relative date scheduling

Perform the following steps to enable relative date scheduling:

1. Navigate to the `server/pentaho-server/tomcat/webapps/pentaho/WEB-INF/classes` directory and open the `classic-engine.properties` file with any text editor.
2. Add the following parameters to the `classic-engine.properties` file:

   | Parameter                                                                     | Description                                                                       |
   | ----------------------------------------------------------------------------- | --------------------------------------------------------------------------------- |
   | `org.pentaho.reporting.engine.classic.core.scheduler.startDateRangeParamName` | The report parameter for the start of the date range.                             |
   | `org.pentaho.reporting.engine.classic.core.scheduler.endDateRangeParamName`   | The report parameter for the end of the date range.                               |
   | `org.pentaho.reporting.engine.classic.core.scheduler.fiscalYearStart`         | The report parameter for the first day of the fiscal year (Default is January 1). |
3. Save and close the `classic-engine.properties` file.
4. Restart the Pentaho Server.

Relative date scheduling is enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pba/pentaho-user-console/classic-design/about-pentaho-user-console-perspectives/schedules/schedule-reports/set-relative-date-schedules/enable-relative-date-scheduling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
